Package twisted :: Package coil :: Package plugins :: Module web :: Class StaticConfigurator |
[show private | hide private]
[frames | no frames]

## Class StaticConfigurator

              Configurator --+
                             |
    Collection --+           |
                 |           |
       Constrained --+       |
                     |       |
                Locked --+   |
                         |   |
          StaticCollection --+
                             |
                            StaticConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| `config_execCGI(self, allowed)`
| `config_execEPY(self, allowed)`
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Collection`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `Locked`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration.
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Collection`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| `lock(self)` (inherited from `Locked`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Constrained`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`tuple` | `__implements__`
`str` | `configName`
`dict` | `configTypes`
`class` | `File`

Method Details

### __init__(self, instance) (Constructor) Initialize this configurator with the instance it will be configuring. Overrides: `twisted.coil.coil.Configurator.__init__` (inherited documentation)

### getConfiguration(self) Return a mapping of key/value tuples describing my configuration. By default gets the attributes from the instance being configured, override in subclasses if necessary. Overrides: `twisted.coil.coil.Configurator.getConfiguration` (inherited documentation)

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class 'twisted.coil.coil.IConfigurator'>,
         <class 'twisted.coil.coil.IStaticCollection'>)

    ### configName Type: `str` Value:
        'Web Filesystem Access'

    ### configTypes Type: `dict` Value:
        {'defaultType': [<type 'str'>,
                         'Default MIME Type',
                         "MIME type for files whose type can't be guessed."],
         'execCGI': ['boolean', 'Execute CGIs', 'Support running CGI scripts.'\
        ],
         'execEPY': ['boolean', 'Execute EPYs', 'Support running EPY scripts.'\
        ],
         'path': [<type 'str'>, 'Path', 'The path in the filesystem to be serv\
        ...

### File `File` = `twisted.web.static.File`

Generated by Epydoc 1.1 on Thu May 8 13:18:18 2003 | http://epydoc.sf.net